program spajanje;
var a,b,c,m,a1,b1,c1:int64;  i:integer;
begin   read(a,b,c); m:=1; for i:=1 to 17 do m:=m*10;a1:=a;b1:=b;c1:=c;
   while a1<m do a1:=a1*10;while b1<m do b1:=b1*10;while c1<m do c1:=c1*10;
   if a1>b1 then if c1>a1 then write(c,a,b) else if c1>b1 then write(a,c,b) else write(a,b,c)
   else if c1>b1 then write(c,b,a) else if a1>c1 then write(b,a,c) else write(b,c,a);
   readln;readln;
end.